Subject: Upgrading to ELF

From: John Lindley <[email-masked]>
Date: Mon, 1 Nov 1999 21:36:46 +0000 (GMT)

Having followed the brief discussion on upgrading to ELF, a problem that
has been haunting me for some time, I've decided to go down the Debian
route. Can you point me to any information on what I will need to fix to
get it to work.

+---------------------------------+--------------------------------+
| www : www.BITS.bris.ac.uk/~john |  emo : [email-masked]	   |
+---------------------------------+--------------------------------+
|     ...Doh said Pooh, suffering from an identity crisis          |
+------------------------------------------------------------------+

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Chris Rutter <[email-masked]>
Date: Mon, 1 Nov 1999 23:03:33 +0000 (GMT)

> route. Can you point me to any information on what I will need to fix to

I don't know quite what you mean by `fix'. :-)  Roughly:

  * Download the tarball from ftp.jimpick.com:/pub/debian/arm/image/
  * Find a spare partition and un-tar this, according to the
    instructions (note: this is tricky if you want to replace an
    existing/working Linux partition)
  * Now boot with root=/dev/<that partition>
  * Now `apt-get update', `apt-get upgrade' to upgrade to the latest
    stuff
  * You can install all the ARM .debs from ftp.debian.org now
  * There is a list of errata with the tarball -- you'll probably
    figure most of them out yourself -- do note that on a RiscPC
    you have to remove the execute bit from /etc/rc.boot/hwclock
    (or wherever that file is) to stop the RiscPC freezing on
    shutdown

I hope to get working on hacking up an installer soon (or write
a guide for it, but I hate writing guides).

-- 
Chris <[email-masked]>                         ( http://www.fluff.org/chris )